#!/bin/bash
die()
{
  echo "fatal error: $1"
  exit 1
}

tmpdir=/tmp/make_release.$$
mkdir -p $tmpdir
cat src/cutandplay/CutAndPlay.java | grep '_VERSION =' | sed 's/;//g' | while read pub fin sta ver eq val
do
  echo $ver=$val
done > $tmpdir/version.sh
. $tmpdir/version.sh
VERSION=$MAJOR_VERSION.$MINOR_VERSION.$MICRO_VERSION
ant
mkdir $tmpdir/Cut-and-Play-$VERSION.src
## copy sources
for i in $(ls -d * | egrep -v '^(dist|build)$')
do
  cp -ra $i $tmpdir/Cut-and-Play-$VERSION.src
done
## copy dist
mkdir $tmpdir/Cut-and-Play-$VERSION
cp -ra dist/* $tmpdir/Cut-and-Play-$VERSION
cp COPYING $tmpdir/Cut-and-Play-$VERSION
##
cd $tmpdir || die "cannot find $tmpdir"
find . -name .svn -exec rm -rf {} \;
zip -r Cut-and-Play-$VERSION.src.zip Cut-and-Play-$VERSION.src
zip -r Cut-and-Play-$VERSION.zip Cut-and-Play-$VERSION
ls -l $tmpdir/Cut-and-Play*.zip
